Announcement

  •  » Extensions
  •  » Question About Installing FFmpeg for the Videojs Plugin

#1 2019-05-16 20:31:59

kc27
Member
2014-02-25
57

Question About Installing FFmpeg for the Videojs Plugin

Hello

My host's CPanel includes an installer which offers the versions FFmpeg listed below. Which version do I install to generate the video posters (thumbnails)?

Alien::ffmpeg (0.103) Alienzszmpeg - latest:0.103
FFMPEGzzEffects (1.0) FFMPEG::Effects - latest:1.0
FFmpeg (6036) FFmpeg — latestz6036
FFmpeg::Codec (0.01) FFmpeg::Codec - |atest:0.01
FFmpeg22Command (0.19) FFmpeg::Command - latest20.19
FFmpeg::FileFormat (0.01 ) FFmpegzzFileFormat - latest:0.01
FFmpegzzlmageFormat (0.01 ) FFmpegzzlmageFormat - latest:0.01
FFmpeg::Stream (0.01) FFmpeg::Stream - latest20.01
FFmpeg::Stream::Audio (0.01) FFmpeg::Streamz:Audio — latest:0.01
FFmpeg::Stream::Data (0.01) FFmpeg::Streamz:Data — latest:0.01
FFmpeg::Stream::Helper (0.001001) FFmpeg::Stream::Helper — Iatest:0.001001
FFmpeg::Stream::Unkn0wn (0.01) FFmpeg::Stream::Unknown — Iatest:0.01
FFmpeg::Stream:zVideo (0.01) FFmpeg::Stream::Video — Iatest:0.01
FFmpeg::StreamGroup (0.01) FFmpeg::StreamGr0up - Iatest:0.01
FFmpeg::Thumbnail (0.02) FFmpegzzThumbnail - latest:0.02
Linux::DVB::DVBT::Ffmpeg (2.10) Linux::DVB::DVBT::Ffmpeg - latest:2.10
MediazzlnfozzFfmpeg (0.007) Media::lnfo::Ffmpeg - latest:0.007
Metabrik22VideozzFfmpeg (undef) Metabrik::Video::Ffmpeg - latestzundef
Quiq::FFmpeg(1.140) QuiqzzFFmpeg - latest:1.140
UAV::Pi|ot::Video::Ffmpeg (0.3) UAV::Pi|ot::Video::Ffmpeg - latest:0.3
Video::FFmpeg (0.47) Video::FFmpeg - Iatest:0.47
VideozzFFmpegzzAVFormat (0.47) Video::FFmpeg::AVFormat - latest:0.47
Video::FFmpeg::AVStream (0.47) Video::FFmpeg::AVStream - latest20.47
Video:FFmpeg::AVStream::Audio (0.47) Video:FFmpeg22AVStreamzzAudio - latest:0.47
Video:FFmpeg::AVStream::Subtitle (0.47) Video:FFmpeg::AVStream::Subtitle - latest:0.47
Video:FFmpeg::AVStream::Video (0.47) Video:FFmpeg::AVStream::Video - latest:0.47

Piwigo 2.9.5
Operating system: Linux
PHP: 7.1.28 (Show info) [2019-05-16 18:28:24]
MySQL: 5.5.5-10.2.23-MariaDB-cll-lve [2019-05-16 14:28:24]
Graphics Library: GD bundled (2.1.0 compatible)

Offline

 

#2 2019-05-17 11:26:21

erAck
Piwigo Team
2015-09-06
274

Re: Question About Installing FFmpeg for the Videojs Plugin

I don't know where that list is offered or what it offers, but none of these is the ffmpeg package.
If you have shell access go there and see if ffmpeg is already installed by issuing the command

Code:

ffmpeg -version

that either lists the active configuration or you'll get a command not found or such if not installed. If it lists something you should be set already. If this is all mumbo-jumbo to you then ask your hoster.


Running Piwigo at https://erack.net/gallery/

Offline

 

#3 2019-05-17 15:49:01

kc27
Member
2014-02-25
57

Re: Question About Installing FFmpeg for the Videojs Plugin

Thanks for the response. The list in my first post is from the Perl Modules portion of my host's CPanel screen. I later found out from the hosting provider that they do not install FFmpeg on shared hosting plans. When I asked about the FFmpeg install scripts that are listed in the hosts CPanel, they said:

"Those only install Perl modules to communicate with those apps. If those apps aren't installed on the server, then they won't work. Some CPAN modules do not require any external binaries, but those that do have to have a corresponding binary on the server."

So no FFmpeg means no videojs plug-in functionality with this host.

Offline

 

#4 2019-05-17 20:50:07

erAck
Piwigo Team
2015-09-06
274

Re: Question About Installing FFmpeg for the Videojs Plugin

Time to choose a better hoster.


Running Piwigo at https://erack.net/gallery/

Offline

 
  •  » Extensions
  •  » Question About Installing FFmpeg for the Videojs Plugin

Board footer

Powered by FluxBB

github twitter facebook google+ newsletter Donate Piwigo.org © 2002-2019 · Contact